View Issue Details

IDProjectCategoryView StatusLast Update
0038227LazarusLCLpublic2020-12-19 18:29
Reporterjamie philbrook Assigned ToJuha Manninen  
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
Product Version2.1 (SVN) 
Summary0038227: TPairSplitter has not named properties for left and right side in the OI, crashes the IDE. makes it unusable.
DescriptionPlease follow this forum post for a very nice factorial image of the problem between current release which works and trunk 2.1

https://forum.lazarus.freepascal.org/index.php?board=21.0

it appears the Property names for the pairs are missing In the OI and thus crashes the IDE if attempts are made to delete the TpairSplitter or
the compiled program fails at runtime.
Steps To ReproduceDrop a TpairSplitter on the form and take note of the OI and then attempt to delete it after a compile.
TagsNo tags attached.
Fixed in Revisionr64225
LazTarget-
Widgetset
Attached Files

Relationships

related to 0038235 resolvedJuha Manninen Regression, can't delete components placed on a PairSplitter from OI and after many attempts back to locking the IDE again. 

Activities

jamie philbrook

2020-12-17 00:06

reporter   ~0127643

https://forum.lazarus.freepascal.org/index.php/topic,52539.0.html

Sorry had the wrong URL link

wp

2020-12-17 01:34

developer   ~0127645

I bisected the svn revisions and found the guilty commit in r64198, "IDE: Optimize adding components to designer a little." by Juha. This is the first revision in which the Sides of the PairSplitter don't have names. --> Assigning the report to Juha.

Juha Manninen

2020-12-18 11:52

developer   ~0127665

Fixed, please test.

Issue History

Date Modified Username Field Change
2020-12-17 00:02 jamie philbrook New Issue
2020-12-17 00:06 jamie philbrook Note Added: 0127643
2020-12-17 01:34 wp Note Added: 0127645
2020-12-17 01:35 wp Assigned To => Juha Manninen
2020-12-17 01:35 wp Status new => assigned
2020-12-18 11:52 Juha Manninen Status assigned => resolved
2020-12-18 11:52 Juha Manninen Resolution open => fixed
2020-12-18 11:52 Juha Manninen Fixed in Revision => r64225
2020-12-18 11:52 Juha Manninen LazTarget => -
2020-12-18 11:52 Juha Manninen Note Added: 0127665
2020-12-19 18:29 Juha Manninen Relationship added related to 0038235